Search for ip

  1. Search 7.x for ip
  2. Search 9.5.x for ip
  3. Search 8.9.x for ip
  4. Search 10.3.x for ip
  5. Search 11.x for ip
  6. Other projects
Title Object type File name Summary
Drupal\navigation\Menu\NavigationMenuLinkTreeManipulators service core/modules/navigation/navigation.services.yml
drupal_current_script_url function core/includes/install.inc Returns the URL of the current script, with modified query parameters.
DummyExternalReadOnlyWrapper::getDescription function core/modules/file/tests/file_test/src/StreamWrapper/DummyExternalReadOnlyWrapper.php Returns the description of the stream wrapper for use in the UI.
DummyMultipleStreamWrapper class core/modules/file/tests/file_test/src/StreamWrapper/DummyMultipleStreamWrapper.php Helper class for testing the stream wrapper registry.
DummyMultipleStreamWrapper.php file core/modules/file/tests/file_test/src/StreamWrapper/DummyMultipleStreamWrapper.php
DummyReadOnlyStreamWrapper::getDescription function core/modules/file/tests/file_test/src/StreamWrapper/DummyReadOnlyStreamWrapper.php Returns the description of the stream wrapper for use in the UI.
DummyRemoteReadOnlyStreamWrapper::getDescription function core/modules/file/tests/file_test/src/StreamWrapper/DummyRemoteReadOnlyStreamWrapper.php Returns the description of the stream wrapper for use in the UI.
DummyRemoteStreamWrapper::getDescription function core/modules/file/tests/file_test/src/StreamWrapper/DummyRemoteStreamWrapper.php Returns the description of the stream wrapper for use in the UI.
DummyStreamWrapper::getDescription function core/modules/file/tests/file_test/src/StreamWrapper/DummyStreamWrapper.php Returns the description of the stream wrapper for use in the UI.
ElementsFieldsetTest::testFieldsetDescriptions function core/modules/system/tests/src/Kernel/Form/ElementsFieldsetTest.php Tests different display options for fieldset element descriptions.
ElementsLabelsTest::testFormDescriptions function core/modules/system/tests/src/Functional/Form/ElementsLabelsTest.php Tests different display options for form element descriptions.
ElementsTableSelectTest::testMultipleFalse function core/modules/system/tests/src/Functional/Form/ElementsTableSelectTest.php Tests the display of radios when #multiple is FALSE.
ElementsTableSelectTest::testMultipleFalseOptionChecker function core/modules/system/tests/src/Functional/Form/ElementsTableSelectTest.php Tests error handling for invalid tableselect values with radio buttons.
ElementsTableSelectTest::testMultipleFalseSubmit function core/modules/system/tests/src/Functional/Form/ElementsTableSelectTest.php Tests submission of values when #multiple is FALSE.
ElementsTableSelectTest::testMultipleTrue function core/modules/system/tests/src/Functional/Form/ElementsTableSelectTest.php Tests the display of checkboxes when #multiple is TRUE.
ElementsTableSelectTest::testMultipleTrueOptionChecker function core/modules/system/tests/src/Functional/Form/ElementsTableSelectTest.php Tests error handling for invalid tableselect values with checkboxes.
ElementsTableSelectTest::testMultipleTrueSubmit function core/modules/system/tests/src/Functional/Form/ElementsTableSelectTest.php Tests the submission of single and multiple values when #multiple is TRUE.
ElementTest::testDetailsDescriptionAttributes function core/modules/system/tests/src/Functional/Form/ElementTest.php Tests description attributes of details.
Email::defineValueProcessPipeline function core/modules/field/src/Plugin/migrate/field/Email.php Apply any custom processing to the field bundle migrations.
Entity::$multipleCapable property core/modules/views/src/Plugin/views/argument_validator/Entity.php If this validator can handle multiple arguments.
EntityApiTest::testLazyPreLoadingMultiple function core/tests/Drupal/KernelTests/Core/Entity/EntityApiTest.php Test lazy preloading.
EntityApiTest::testLoadMultiple function core/tests/Drupal/KernelTests/Core/Entity/EntityApiTest.php Tests that the Entity storage loads the entities in the correct order.
EntityBase::loadMultiple function core/lib/Drupal/Core/Entity/EntityBase.php Loads one or more entities.
EntityBase::uriRelationships function core/lib/Drupal/Core/Entity/EntityBase.php Gets a list of URI relationships supported by this entity.
EntityBundleExistsConstraintValidatorTest::testEntityTypeIdFromMultipleParents function core/tests/Drupal/KernelTests/Core/Entity/EntityBundleExistsConstraintValidatorTest.php Tests getting the entity type ID from a deeply nested property path.
EntityChangesDetectionTrait::getFieldsToSkipFromTranslationChangesCheck function core/lib/Drupal/Core/Entity/EntityChangesDetectionTrait.php Returns an array of field names to skip when checking for changes.
EntityConcurrentRenderTest::testSameEntityInMultipleBlocks function core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php Tests that two blocks rendering the same entity both produce output.
EntityConfirmFormBase::getDescription function core/lib/Drupal/Core/Entity/EntityConfirmFormBase.php Returns additional text to display as a description.
EntityController::loadBundleDescriptions function core/lib/Drupal/Core/Entity/Controller/EntityController.php Expands the bundle information with descriptions, if known.
EntityDecoupledTranslationRevisionsTest::testMultipleTranslationChanges function core/tests/Drupal/KernelTests/Core/Entity/EntityDecoupledTranslationRevisionsTest.php Checks that changes to multiple translations are handled correctly.
EntityDefinitionUpdateMultipleTypesTest class core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests EntityDefinitionUpdateManager functionality.
EntityDefinitionUpdateMultipleTypesTest.php file core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php
EntityDefinitionUpdateMultipleTypesTest::$database property core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php The database connection.
EntityDefinitionUpdateMultipleTypesTest::$entityDefinitionUpdateManager property core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php The entity definition update manager.
EntityDefinitionUpdateMultipleTypesTest::$entityFieldManager property core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php The entity field manager.
EntityDefinitionUpdateMultipleTypesTest::$modules property core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Modules to install.
EntityDefinitionUpdateMultipleTypesTest::setUp function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php
EntityDefinitionUpdateMultipleTypesTest::testBaseFieldCreateDeleteWithExistingEntities function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests creating and deleting a base field if entities exist.
EntityDefinitionUpdateMultipleTypesTest::testBaseFieldCreateUpdateDeleteWithoutData function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests creating, updating, and deleting a base field if no entities exist.
EntityDefinitionUpdateMultipleTypesTest::testBaseFieldEntityKeyUpdateWithExistingData function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests updating a base field when it has existing data.
EntityDefinitionUpdateMultipleTypesTest::testBaseFieldUpdateWithExistingData function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests updating a base field when it has existing data.
EntityDefinitionUpdateMultipleTypesTest::testBaseFieldWithoutLabelCreateUpdateDelete function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests creating, updating, and deleting a base field with no label set.
EntityDefinitionUpdateMultipleTypesTest::testBundleFieldCreateDeleteWithExistingEntities function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests creating and deleting a bundle field if entities exist.
EntityDefinitionUpdateMultipleTypesTest::testBundleFieldCreateUpdateDeleteWithoutData function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests creating, updating, and deleting a bundle field if no entities exist.
EntityDefinitionUpdateMultipleTypesTest::testBundleFieldDeleteWithExistingData function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests deleting a bundle field when it has existing data.
EntityDefinitionUpdateMultipleTypesTest::testBundleFieldUpdateWithEntityTypeSchemaUpdate function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests updating a bundle field when the entity type schema has changed.
EntityDefinitionUpdateMultipleTypesTest::testBundleFieldUpdateWithExistingData function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests updating a bundle field when it has existing data.
EntityDefinitionUpdateMultipleTypesTest::testCreateFieldAndIndexOnSharedTable function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Ensures that a new field and index on a shared table are created.
EntityDefinitionUpdateMultipleTypesTest::testCreateIndexUsingEntityStorageSchemaWithData function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Ensures that a new entity level index is created when data exists.
EntityDefinitionUpdateMultipleTypesTest::testDefinitionEvents function core/tests/Drupal/KernelTests/Core/Entity/EntityDefinitionUpdateMultipleTypesTest.php Tests entity type and field storage definition events.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.